## GnomeWallClock GnomeWallClock |

## Functions

GnomeWallClock * | gnome_wall_clock_new ()
const char * | gnome_wall_clock_get_clock ()
GTimeZone * | gnome_wall_clock_get_timezone ()
char * | gnome_wall_clock_string_for_datetime ()

## Types and Values

struct | GnomeWallClock
struct | GnomeWallClockClass

## Description

## Functions

### gnome_wall_clock_new ()

    GnomeWallClock *
    gnome_wall_clock_new (void);

Creates a new GnomeWallClock

#### Returns

the new clock

### gnome_wall_clock_get_clock ()

    const char *
    gnome_wall_clock_get_clock (GnomeWallClock *clock);

Returns the string representing the current time of this clock according to the user settings.

#### Parameters

clock | a GnomeWallClock |

#### Returns

the time of the clock as a string. This string points to internally allocated storage and must not be freed, modified or stored.

### gnome_wall_clock_get_timezone ()

    GTimeZone *
    gnome_wall_clock_get_timezone (GnomeWallClock *clock);

Returns the current local time zone used by this clock.

#### Parameters

clock | a GnomeWallClock |

#### Returns

the GTimeZone of the clock.

[transfer none]

### gnome_wall_clock_string_for_datetime ()

    char *
    gnome_wall_clock_string_for_datetime (GnomeWallClock *self,
                                          GDateTime *now,
                                          GDesktopClockFormat clock_format,
                                          gboolean show_weekday,
                                          gboolean show_full_date,
                                          gboolean show_seconds);

#### Returns

a newly allocated string representing the date & time passed, with the options applied.

[skip]

## Types and Values

### struct GnomeWallClock

    struct GnomeWallClock {
    	GObject parent_object;

    	GnomeWallClockPrivate *priv;
    };

### struct GnomeWallClockClass

    struct GnomeWallClockClass {
    	GObjectClass parent_class;
    };